package net.sourceforge.ganttproject.gui.taskproperties;

import net.sourceforge.ganttproject.IGanttProject;
import net.sourceforge.ganttproject.gui.UIFacade;
import net.sourceforge.ganttproject.task.Task;
import net.sourceforge.ganttproject.task.TaskMutator;

import org.eclipse.core.runtime.IAdaptable;

public interface IPropertySheetComponent extends IAdaptable {
	void onCommit();
	void onRollback();
	
    String EXTENSION_POINT_ID = "net.sourceforge.ganttproject.task_property_sheet_component";

	void init(Task task, TaskMutator taskMutator, IGanttProject project, UIFacade uifacade);
	String getPageName();
	String getTitle();	
	boolean isCollapsed();
	void setCollapsed(boolean collapsed);
	boolean isHidden();
	void setHidden(boolean hidden);
}
